Skip to main content
`Ctrl`+`K`

# EPSCISSGetSizes

Gets the values of various size parameters in the CISS solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSGetSizes(EPS eps,PetscInt *ip,PetscInt *bs,PetscInt *ms,PetscInt *npart,PetscInt *bsmax,PetscBool *realmats)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- ip - number of integration points

- bs - block size

- ms - moment size

- npart - number of partitions when splitting the communicator

- bsmax - max block size

- realmats - \(A\) and \(B\) are real

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSSetSizes()`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSGetSizes_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages